Fetch Data from Cache
post
/data/fetch
Retrieves the specified data from your data set and sends it to the client.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Match All
Specifies the input parameters for the request.
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
type
Specifies the input parameters for the request.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : type
Type:
objectSpecifies the input parameters for the request.
Show Source
-
additional_data: object
additional_data
Additional Properties Allowed:
trueProvides additional criteria used to filter the data. -
required_data(required): array
required_data
Specifies the data to retrieve.
Nested Schema : additional_data
Type:
objectAdditional Properties Allowed:
trueProvides additional criteria used to filter the data.
Examples
Back to Top
Response
200 Response
The request was completed successfully.
Nested Schema : FetchResponse
Match All
Specifies the output returned by the operation.
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
FetchResponse-allOf[1]
Specifies the output returned by the operation.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : FetchResponse-allOf[1]
Type:
objectSpecifies the output returned by the operation.
Show Source
-
data(required): object
data
Additional Properties Allowed:
trueReturns the data retrieved from storage.
Nested Schema : data
Type:
objectAdditional Properties Allowed:
trueReturns the data retrieved from storage.
400 Response
The request could not be processed because it contains missing or invalid information.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
401 Response
The request is not authorized.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
403 Response
The user does not have authorization to perform this request.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
404 Response
The requested resource cannot be found.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
405 Response
The method is not allowed.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
409 Response
The request could not be processed due to a conflict with the existing state of the resource.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
500 Response
The system has encountered an internal server error.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
501 Response
The request was not implemented.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
503 Response
The service is unavailable.
Root Schema : Error
Match All
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
object
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "CacheRequest":"#/components/schemas/CacheRequest", "FetchRequest":"#/components/schemas/FetchRequest", "CollectRequest":"#/components/schemas/CollectRequest", "QueryBuilder":"#/components/schemas/QueryBuilder", "QueryList":"#/components/schemas/QueryList", "JoinConditions":"#/components/schemas/JoinConditions", "StorageDetails":"#/components/schemas/StorageDetails", "CollectResponse":"#/components/schemas/CollectResponse", "FetchResponse":"#/components/schemas/FetchResponse", "CacheResponse":"#/components/schemas/CacheResponse", "Error":"#/components/schemas/Error" } }Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`. -
object
Error-allOf[1]
Indicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
- CacheRequest
- FetchRequest
- CollectRequest
- QueryBuilder
- QueryList
- JoinConditions
- StorageDetails
- CollectResponse
- FetchResponse
- CacheResponse
- Error
Base extensible schema for use with TM Forum Open APIs. When used in a schema, the entity must be extended by specifying `@type`.
Show Source
-
@baseType: string
Specifies the superclass while subclassing.
-
@schemaLocation: string
(uri)
Provides a URI to the JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
When subclassing, specifies the extensible name of the subclass.
Nested Schema : Error-allOf[1]
Type:
objectIndicates an error response from the API, usually accompanied by an HTTP status code (3xx, 4xx, or 5xx).
Show Source
-
code(required): string
Provides application-specific details, as defined by the API or a common list.
-
message: string
Provides additional error details and recommended corrective actions to display to the client user.
-
reason(required): string
Provides an explanation of the error to display to the client user.
-
referenceError: string
(uri)
Provides a URI to documentation that describes the error.
-
status: string
Specifies the extended HTTP error code.
Examples
This example shows the cURL command for sending a Send Specified Data to Client request:
curl -X POST 'http://hostname:port/data/fetch' -d @file.json
where:
-
hostname is the host name for the application server.
-
port is the port for the application server.
-
file.json is the JSON file that specifies the details of the data to fetch.
Example of Request Body
Following is a sample request body.
{
"@type": "FetchRequest",
"required_data": [
"account_data",
"over_usage_data",
"deal_data",
"purchased_product_data"
],
"additional_data": {
"account_id": "2479678",
"sample": true
}
}
Example of Response Body
If successful, the response code 200 is returned with a response body. For example:
{
"@type": "FetchResponse",
"data": {
"data": [
{
"account_data": {
"account_id": "2479678"
},
"over_usage_data": [],
"deal_data": [],
"purchased_product_data": []
}
],
"status": "Successful"
}
}